<?php 
add_action( 'wp_enqueue_scripts', 'masonry_hub_enqueue_styles' );
function masonry_hub_enqueue_styles() {
	wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' ); 
	wp_enqueue_style('child-style', get_stylesheet_uri());
} 



/* ---------------------------------------------------------------------------------------------
   CUSTOMIZER SETTINGS
   --------------------------------------------------------------------------------------------- */


   if ( ! class_exists( 'masonry_hub_Customize' ) ) :

   	class masonry_hub_Customize {

   		public static function masonry_hub_register( $wp_customize ) {

   			$wp_customize->add_section( 'readmore_link', array(
   				'title'      => __('Read More Link','griddist'),
   				'priority'   => 2,
   				'capability' => 'edit_theme_options',
   				) );
   			$wp_customize->add_setting( 'readmore_link_color', array(
   				'default'           => '#fab525',
   				'sanitize_callback' => 'sanitize_hex_color',
   				'transport'         => 'postMessage',
   				) );
   			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'readmore_link_color', array(
   				'label'       => __( 'Background Color', 'griddist' ),
   				'section'     => 'readmore_link',
   				'priority'   => 1,
   				'settings'    => 'readmore_link_color',
   				) ) );


   			$wp_customize->add_setting( 'sidebar_bg_color', array(
   				'default'           => '#333',
   				'sanitize_callback' => 'sanitize_hex_color',
   				'transport'         => 'postMessage',
   				) );
   			$wp_customize->add_setting( 'sidebar_tagline_color', array(
   				'default'           => '#fff',
   				'sanitize_callback' => 'sanitize_hex_color',
   				'transport'         => 'postMessage',
   				) );
   			$wp_customize->add_setting( 'sidebar_link_color', array(
   				'default'           => '#888888',
   				'sanitize_callback' => 'sanitize_hex_color',
   				'transport'         => 'postMessage',
   				) );
   			$wp_customize->add_setting( 'sidebar_headline_color', array(
   				'default'           => '#fff',
   				'sanitize_callback' => 'sanitize_hex_color',
   				'transport'         => 'postMessage',
   				) );
   			$wp_customize->add_setting( 'sidebar_text_color', array(
   				'default'           => '#fff',
   				'sanitize_callback' => 'sanitize_hex_color',
   				'transport'         => 'postMessage',
   				) );
   		}

		// Initiate the customize controls js
   		public static function masonry_hub_customize_controls() {
   			wp_enqueue_script( 'masonry-hub-customize-controls', get_template_directory_uri() . '/assets/js/customize-controls.js', array( 'jquery', 'customize-controls' ), '', true );
   		}

   	}

	// Setup the Theme Customizer settings and controls
   	add_action( 'customize_register', array( 'masonry_hub_Customize', 'masonry_hub_register' ), 9999 );

   	endif;



   	if(! function_exists('masonry_hub_customizer_input' ) ):
   		function masonry_hub_customizer_input(){
   			?>

   			<style type="text/css">
   				.error404 .single-container, .page .single-container{ background-color: <?php echo esc_attr(get_theme_mod( 'page_background')); ?>; }
   				.error404 #site-content h1, .page #site-content h1, .page .entry-content h1, .page .entry-content h2, .page .entry-content h3, .page .entry-content h4, .page .entry-content h5, .page .entry-content h6, .page .entry-content th { color: <?php echo esc_attr(get_theme_mod( 'page_headline')); ?>; }
   				.error404 #site-content p, .page .entry-content, .page .entry-content  li, .page .entry-content  p, .page .entry-content  abbr, .page .entry-content  cite, .page .entry-content  table caption, .page .entry-content  td{ color: <?php echo esc_attr(get_theme_mod( 'page_text')); ?>; }
   				.error404 .go-home, .error404 .entry-content a, .page .entry-content a{ color: <?php echo esc_attr(get_theme_mod( 'page_link')); ?>; }
   				.error404 .entry-content blockquote, .page .entry-content blockquote { border-color: <?php echo esc_attr(get_theme_mod( 'page_text')); ?>; }
   				.single .single-container{ background-color: <?php echo esc_attr(get_theme_mod( 'posts_background')); ?>; }
   				.single .related-posts-title, .single .single-container th,.single .single-container h1, .single .single-container h2, .single .single-container h3, .single .single-container h4, .single .single-container h5, .single .single-container h6{ color: <?php echo esc_attr(get_theme_mod( 'posts_headline')); ?>; }
   				.comment-metadata .edit-link::before, .single .comments-wrapper label, .single .entry-content label, .single .comment-form p.logged-in-as, .single .post-meta-single .post-meta, .single .entry-content figcaption, .single .entry-content, .single .entry-content  li, .single .entry-content  p, .single .entry-content  abbr, .single .entry-content  cite, .single .entry-content  table caption, .single .entry-content  td, .single .entry-content th{ color: <?php echo esc_attr(get_theme_mod( 'posts_text')); ?>; }
   				.single .entry-content a, .single .comments-wrapper a{ color: <?php echo esc_attr(get_theme_mod( 'posts_link')); ?>; }
   				.single .entry-content blockquote { border-color: <?php echo esc_attr(get_theme_mod( 'posts_text')); ?>; }
   				.single .comment-wrapper input[type="submit"], .single .post-inner input[type="submit"], .single .comments-wrapper button, .single .post-inner button{ color: <?php echo esc_attr(get_theme_mod( 'posts_button_text')); ?>; }
   				.single .comment-wrapper input[type="submit"], .single .post-inner input[type="submit"], .single .comments-wrapper button, .single .post-inner button { background-color: <?php echo esc_attr(get_theme_mod( 'posts_button_bg')); ?>; }
   				#site-footer { background-color: <?php echo esc_attr(get_theme_mod( 'footer_bg_color')); ?>; }
   				#site-footer h3{color: <?php echo esc_attr(get_theme_mod( 'footer_headline_color')); ?>; }
   				#site-footer .widget-title:after{ background-color: <?php echo esc_attr(get_theme_mod( 'footer_headline_border_color')); ?>; }
   				.site-info, #site-footer .widget, #site-footer .widget li, #site-footer .widget p, #site-footer abbr, #site-footer cite, #site-footer table caption, #site-footer td, #site-footer th{ color: <?php echo esc_attr(get_theme_mod( 'footer_text_color')); ?>; }
   				#site-footer .widget a { color: <?php echo esc_attr(get_theme_mod( 'footer_link_color')); ?>; }
   				#site-footer .widget * { border-color: <?php echo esc_attr(get_theme_mod( 'footer_border_color')); ?>; }
   				.archive-header-desktop .preview-wrapper, .preview-wrapper{ background: <?php echo esc_attr(get_theme_mod( 'blogfeed_background')); ?>; }
   				.preview-title a:hover, .archive-header-inner h3, .preview-title{ color: <?php echo esc_attr(get_theme_mod( 'blogfeed_headline')); ?>; }
   				.archive-header .subheading, .preview-inner p, .post-meta-preview .post-meta{ color: <?php echo esc_attr(get_theme_mod( 'blogfeed_text')); ?>; }
   				button#load-more{ background: <?php echo esc_attr(get_theme_mod( 'blogfeed_button_bg')); ?>; }
   				.link-pagination a, button#load-more{ color: <?php echo esc_attr(get_theme_mod( 'blogfeed_button_text')); ?>; }
   				body .site-description{ color: <?php echo esc_attr(get_theme_mod( 'sidebar_tagline_color')); ?>; }
   				body .site-nav li{ color: <?php echo esc_attr(get_theme_mod( 'sidebar_link_color')); ?>; }
   				body .sidebar-widgets .widget-title{ color: <?php echo esc_attr(get_theme_mod( 'sidebar_headline_color')); ?>; }
   				body .sidebar-widgets a, body #site-header, body #site-header .widget, body #site-header .widget li, body #site-header .widget p, body #site-header abbr, body #site-header cite, body #site-header table caption, body #site-header td, body #site-header th{ color: <?php echo esc_attr(get_theme_mod( 'sidebar_text_color')); ?>; }
   				body #site-header{ background: <?php echo esc_attr(get_theme_mod( 'sidebar_bg_color')); ?>; }
   				.readmore-button{ color: <?php echo esc_attr(get_theme_mod( 'readmore_link_color')); ?>; }




   			</style>
   			<?php }
   			add_action( 'wp_head', 'masonry_hub_customizer_input' );
   			endif;

